continue
script = rule['Script']
- retcode = daklib.daksubprocess.call([script, os.path.join(self.directory, f.filename), control['Version'], arch, os.path.join(self.directory, self.changes.filename)], shell=False)
+ retcode = daklib.daksubprocess.call([script, os.path.join(self.directory, f.filename), control['Version'], arch, os.path.join(self.directory, self.changes.filename), suite.suite_name], shell=False)
if retcode != 0:
print "W: error processing {0}.".format(f.filename)
remaining.append(f)
scriptname=byhand-debian-faq
-if [ $# -lt 4 ]; then
- echo "usage: ${scriptname} <byhand-file> <version> <arch> <changes-file>" >&2
+if [ $# -lt 5 ]; then
+ echo "usage: ${scriptname} <byhand-file> <version> <arch> <changes-file> <suite>" >&2
exit 1
fi
version="${2}"
architecture="${3}"
changes="${4}"
+suite="${5}"
-suite="$(awk '/^Distribution:/ { print $2 }' < "${changes}")"
case "${suite}" in
unstable|sid)
: # okay
set -e
set -o pipefail
-if [ $# -lt 4 ]; then
- echo "Usage: $0 filename version arch changes_file"
+if [ $# -lt 5 ]; then
+ echo "Usage: $0 filename version arch changes_file suite"
exit 1
fi
VERSION="$2"
ARCH="$3"
CHANGES="$4" # Changes file for the upload
+SUITE="$5"
error() {
echo "$*"
error "Invalid version: '$VERSION'"
fi
-# Get the target suite from the Changes file
-# NOTE: it may be better to pass this to the script as a parameter!
-SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
case $SUITE in
- "")
- error "Error: unable to determine suite from Changes file"
- ;;
unstable|sid|*-proposed-updates)
: # nothing to do
;;
set -e
set -o pipefail
-if [ $# -lt 4 ]; then
- echo "Usage: $0 filename version arch changes_file"
+if [ $# -lt 5 ]; then
+ echo "Usage: $0 filename version arch changes_file suite"
exit 1
fi
VERSION="$2"
ARCH="$3"
CHANGES="$4" # Changes file for the upload
+SUITE="$5"
error() {
echo "$*"
exit 1
}
-# Get the target suite from the Changes file
-# NOTE: it may be better to pass this to the script as a parameter!
-SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
case $SUITE in
- "")
- error "Error: unable to determine suite from Changes file"
- ;;
unstable|sid)
: # OK for automated byband processing
;;
set -u
set -e
-if [ $# -lt 4 ]; then
- echo "Usage: $0 filename version arch changes_file"
+if [ $# -lt 5 ]; then
+ echo "Usage: $0 filename version arch changes_file suite"
exit 1
fi
VERSION="$2"
ARCH="$3"
CHANGES="$4" # Changes file for the upload
+SUITE="$5"
-# Get the target suite from the Changes file
-# NOTE: it may be better to pass this to the script as a parameter!
-SUITE="$(grep "^Distribution:" "$CHANGES" | awk '{print $2}')"
case $SUITE in
- "")
- echo "Error: unable to determine suite from Changes file"
- exit 1
- ;;
- unstable|sid)
+ unstable|sid|*-proposed-updates)
: # nothing to do
;;
*)